Name:		kristall
Version:	0.4
Release:	%mkrel 2
Group:		Networking/WWW
Summary:	A high-quality visual cross-platform gemini browser
License:	GPL-3.0
URL:		https://kristall.random-projects.net/
Source0:	https://github.com/MasterQ32/kristall/archive/V%{version}/%{name}-%{version}.tar.gz
Patch0:		kristall-use-external-cmark-and-gumbo.patch
Patch1:		0001-fix-missing-kristall-version-when-not-building-in-git-repo.patch

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5MultimediaWidgets)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(gumbo)
BuildRequires:	pkgconfig(libcmark)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	qttools5

%description
A high-quality visual cross-platform gemini browser.

Features:
 * Multi-protocol support
  ° Gemini
  ° HTTP
  ° HTTPS
  ° Finger
  ° Gopher
 * Document rendering
   ° text/gemini
   ° text/html (reduced feature set)
   ° text/markdown
   ° text/*
   ° image/*
   ° video/*
   ° audio/*
 * TLS Management
   ° Supports client certificates
   ° Supports TOFU and CA TLS handling for both Gemini and HTTPS
 * Outline generation (Video)
 * Favourite Sites
 * Navigation history
 * Tabbed interface
 * Special link highlighting for different targets
 * Color Themes
   ° Custom document color theme
   ° Automatic light/dark theme based on the host name
   ° Dark/Light UI theme

%prep
%autosetup -p1

%build
# Tell qmake which version of kristall we're building
export KRISTALL_VERSION=%{version}

mkdir build && cd build
%qmake_qt5 ../src/%{name}.pro
%make_build

%install
%make_install PREFIX=%{_prefix}

%files
%doc README.md
%license LICENSE
%{_bindir}/kristall
%{_datadir}/applications/Kristall.desktop
%{_iconsdir}/hicolor/*/apps/net.random-projects.kristall.png
%{_iconsdir}/hicolor/scalable/apps/net.random-projects.kristall.svg
%{_datadir}/mime/packages/kristall.xml
%{_mandir}/man1/kristall.1.*


%changelog
* Mon Apr 03 2023 daviddavid <daviddavid> 0.4-2.mga9
+ Revision: 1951328
- add upstream patch to fix missing kristall version when not building in git repo
- use our qmake build system
- use system cmark and gumbo
- improve description

* Mon Apr 03 2023 papoteur <papoteur> 0.4-1.mga9
+ Revision: 1951295
- imported package kristall

